Bug 182232 - kernel panic at finalboot after install process
kernel panic at finalboot after install process
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 03:09 EST by Sascha Schmidt
Modified: 2008-05-06 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:23:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sascha Schmidt 2006-02-21 03:09:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
I'm trying to install FC5-devel on a Nforce4 Raid (Motherboard: ASUS K8N-SLI). The installation of FC5 works fine (partitioning and formating partitions beside windows partitions. I've testet nearly everything).

After copying all files of FC5 the installation goes on with the final bootprocess. And now the problem. Grub loads, the kernel is booting and instantly a kernel-panic appears.

Unable to make device node 'nvidia_bbfgdadd'
Unable to access resume device (LABEL=SWAP-nvidia-bbf)
mount: could not find filesystem /dev/root
setuproot: moving /dev failed: no such file or directory
setuproot: moving /proc failed: no such file or directory
setuproot: moving /sys failed: no such file or directory
switchroot: mount failed: no such file or directory

Call trace: <ffffffff801321b6 {panic+134} ....

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start installation
2. Wait for Installationprocess to finish
3. Click reboot after installation
  

Actual Results:  Kernelpanic after final installationboot

Expected Results:  No kernelpanic ;)

Additional info:
Comment 1 Sascha Schmidt 2006-02-21 03:10:39 EST
I think that FC5 depends on dmraid to use the nvidia FakeRaid.
Comment 2 Heinz Mauelshagen 2006-02-21 04:33:05 EST
Is there more with this trace ?
The message about not being able to create the devicenode must be userspace
(ie. read-only root preventing devnode creation).
Comment 4 Sascha Schmidt 2006-02-21 04:37:02 EST
I will deliver the complete tracemessage this evening. I'm currently at work
right now.
Comment 5 Sascha Schmidt 2006-02-21 12:17:42 EST
1. the messages above appear after dmraid has been initialised:
=> device-mapper: 4.50-ioctl (2005-10-04) initialised: dm-devel@redhat.com

2. the following kernel-trace appears
Call Trace: <ffffffff801321b6{panic+134} <ffffffff8024c6ca>{tty_ldisc_deref+104}
   <ffffffff8033e753>{_spin_unlock_irq+9} <ffffffff8033e108>{__down_read+52}
   <ffffffff8033e796>{_spin_lock_irqsave+9} <ffffffff80203e9e>{__up_read+19}
   <ffffffff80135a67>{do_exit+140} <ffffffff80136324>{sys_exit_group+0}
   <ffffffff8010a7aa>{system_call+126}
Comment 6 Sascha Schmidt 2006-02-21 12:22:02 EST
Another strange behaviour is when I turn acpi=off via kernel-boot parameter the
following messages appear in an endless loop:

nv_sata: Primary device added
nv_sata: Primary device removed
nv_sata: Secondary device added
nv_sata: Secondary device removed

This endless loop starts after the following line:
ata1(0): applying bridge limits
Comment 7 Peter Jones 2006-02-23 18:26:53 EST
Can you boot the rescue image, install mkinitrd-5.0.27-1 from today's rawhide,
and rebuild your initrd with that?  I think it'll solve this problem.
Comment 8 Sascha Schmidt 2006-02-25 08:28:47 EST
Which bootimage can I use to reinstall fedora core via network (http) to test
the behaviour?

This one for network install?
http://download.fedora.redhat.com/pub/fedora/linux/core/development/x86_64/images/boot.iso
Comment 9 Sascha Schmidt 2006-02-26 09:30:22 EST
Yesterday evening I made a quick test. I've installed Fedora Core Devel. I
choose to install a minimal version and everything seems to work fine now. Think
this bug has been solved.
Comment 10 Bug Zapper 2008-04-03 13:00:19 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 20:23:11 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.